Noddle = ScriptObject()

function Noddle:Start()
    self.amplitude = Vector3(0, 0, 0)    
end

function Noddle:Update(timeStep)
    local elapsed = time:GetElapsedTime()
    local rotation = self.amplitude * math.sin(elapsed) * timeStep    
    self.node:Rotate(Quaternion(rotation.x, rotation.y, rotation.z))
end
